; The following conditional assembly statements determine what values the chip
; select registers are initialized to.
; The symbols BIGSRAM & BIGFLASH are defined on the assembler command line.
;
	.IF BIGSRAM							; Both SRAM devices are 512K X 8
CSBAR0_INIT:	EQU		0x0007
CSOR0_INIT:		EQU		0x38f0
CSBAR1_INIT:	EQU		0x0007
CSOR1_INIT:		EQU		0x58f0
	.ELSE
CSBAR0_INIT:	EQU		0x0005			; Both SRAM devices are 128K X 8
CSOR0_INIT:		EQU		0x38f0
CSBAR1_INIT:	EQU		0x0005
CSOR1_INIT:		EQU		0x58f0
	.ENDIF

	.IF	BIGFLASH
CSBARBT_INIT:	EQU		0x1007			; Both FLASH devices are 512K X 8
CSORBT_INIT:	EQU		0x78f0
	.ELSE
CSBARBT_INIT:	EQU		0x1005			; Both FLASH devices are 128K X 8
CSORBT_INIT:	EQU		0x78f0
	.ENDIF

TRAMBAR_INIT	EQU		0x2000			; TPU Emulation ram register
TPURAMBASE		EQU		(TRAMBAR_INIT&0xfff8)*256
FLASHBASE		EQU		(CSBARBT_INIT&0xfff8)*256
